package domain


type WdkWarehouseOrderDispatchWorkOrderUnitContents struct {
    /*
        商品名称     */
    SkuName  *string `json:"sku_name,omitempty" `

    /*
        库存单位购买库数量     */
    ExpectStockQuantity  *string `json:"expect_stock_quantity,omitempty" `

    /*
        扩展服务     */
    AttributeMap  *string `json:"attribute_map,omitempty" `

    /*
        销售单位购买数量     */
    ExpectSaleQuantity  *string `json:"expect_sale_quantity,omitempty" `

    /*
        履约子单号/子订单号     */
    WorkUnitContentId  *string `json:"work_unit_content_id,omitempty" `

    /*
        expect_sale_quantity单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        expect_stock_quantity单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        子订单号     */
    OrderSubCode  *string `json:"order_sub_code,omitempty" `

}

func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetSkuName(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.SkuName = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetExpectStockQuantity(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.ExpectStockQuantity = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetAttributeMap(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.AttributeMap = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetExpectSaleQuantity(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.ExpectSaleQuantity = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetWorkUnitContentId(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.WorkUnitContentId = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetSaleUnit(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.SaleUnit = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetSkuCode(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.SkuCode = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetStockUnit(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.StockUnit = &v
    return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnitContents) SetOrderSubCode(v string) *WdkWarehouseOrderDispatchWorkOrderUnitContents {
    s.OrderSubCode = &v
    return s
}
